<?php
ob_start();
require("includes/check_auth_user.php");
require("includes/dbconnect.php");
include ('includes/function.php');

$admin = $_SESSION["admin_" . $dbname];
$zdb = $_SESSION["zdbyear_" . $dbname];
$myyear = $_SESSION[$myyear];
mysqli_select_db($conn,$zdb);
$success = false;


$maindb = 'accmast';
$file = 'bank.php';
$keyfld = "accode";

$rangeFrom = $_REQUEST["rangeFrom"];
$rangeTo = $_REQUEST["rangeTo"];
$searchTerm = $_REQUEST["ssearch"];
$operator = $_REQUEST["soperator"];

$cond = "";
if ($operator == "=") {
    if ($_REQUEST["sfield"] == "1") {
        $cond = "AND `name` = '$searchTerm'";
    } else if ($_REQUEST["sfield"] == "2") {
        $cond = "AND( `add1` = '$searchTerm' OR `add2` = '$searchTerm' OR `add3`  = '$searchTerm')";
    } else if ($_REQUEST["sfield"] == "3") {
        $cond = "AND `city` = '$searchTerm'";
    } else if ($_REQUEST["sfield"] == "4") {
        $cond = "AND `pin` = '$searchTerm'";
    } else if ($_REQUEST["sfield"] == "5") {
        $cond = "AND `mobile` = '$searchTerm'";
    } else if ($_REQUEST["sfield"] == "6") {
        $cond = "AND `tel` = '$searchTerm'";
    }else if ($_REQUEST["sfield"] == "7") {
        $cond = "AND `email` = '$searchTerm'";
    }else if ($_REQUEST["sfield"] == "8") {
        $cond = "AND `contpers` = '$searchTerm'";
    }else if ($_REQUEST["sfield"] == "9") {
        $cond = "AND `openbal` = '$searchTerm'";
    }
} else {
    if ($_REQUEST["sfield"] == "1") {
        $cond = "AND `name` LIKE '%$searchTerm%'";
    } else if ($_REQUEST["sfield"] == "2") {
        $cond = "AND (`add1`  LIKE '%$searchTerm%' OR `add2`  LIKE '%$searchTerm%' or `add3` LIKE '%$searchTerm%') ";
    } else if ($_REQUEST["sfield"] == "3") {
        $cond = "AND `city` LIKE '%$searchTerm%'";
    } else if ($_REQUEST["sfield"] == "4") {
        $cond = "AND `pin` LIKE '%$searchTerm%'";
    } else if ($_REQUEST["sfield"] == "5") {
        $cond = "AND `mobile` LIKE '%$searchTerm%'";
    }else if ($_REQUEST["sfield"] == "6") {
        $cond = "AND `tel` LIKE '%$searchTerm%'";
    }else if ($_REQUEST["sfield"] == "7") {
        $cond = "AND `email` LIKE '%$searchTerm%'";
    }else if ($_REQUEST["sfield"] == "8") {
        $cond = "AND `contpers` LIKE '%$searchTerm%'";
    }else if ($_REQUEST["sfield"] == "9") {
        $cond = "AND `openbal` LIKE '%$searchTerm%'";
    }
}

$sortcond = "ORDER BY `name`";
if ($_REQUEST["sortBy"] == "1") {
    $sortcond = " ORDER BY `name`";
} else if ($_REQUEST["sortBy"] == "2") {
    $sortcond = " ORDER BY `add1`";
} else if ($_REQUEST["sortBy"] == "3") {
    $sortcond = " ORDER BY `city`";
} else if ($_REQUEST["sortBy"] == "4") {
    $sortcond = " ORDER BY `pin`";
} else if ($_REQUEST["sortBy"] == "5") {
    $sortcond = " ORDER BY `mobile`";
} else if ($_REQUEST["sortBy"] == "6") {
    $sortcond = " ORDER BY `tel`";
} else if ($_REQUEST["sortBy"] == "7") {
    $sortcond = " ORDER BY `email`";
} else if ($_REQUEST["sortBy"] == "8") {
    $sortcond = " ORDER BY `contpers`";
} else if ($_REQUEST["sortBy"] == "9") {
    $sortcond = " ORDER BY `openbal`";
}


$ordcond = "DESC";
if ($_REQUEST["orderAs"] == "desc") {
    $ordcond = " DESC";
} else {
    $ordcond = " ASC";
}

$query = "SELECT accode,name,add1,add2,add3,city,mobile,pin,tel,email,contpers,openbal FROM $maindb WHERE `grpcode` = '001' $cond $sortcond $ordcond LIMIT $rangeFrom, $rangeTo" ;
$result = mysqli_query($conn,$query) or die(mysqli_error($conn));

$rows = array();
$ctr = 0;
while ($r = mysqli_fetch_assoc($result)) {

    $rows[] = ['success' => true,
        'value'    => $ctr,
        'name'     => $r['name'],
        'add1'     => $r['add1'],
        'add2'     => $r['add2'],
        'add3'     => $r['add3'],
        'city'     => $r['city'],
        'mobile'   => $r['mobile'],
        'pin'      => $r['pin'],
        'tel'      => $r['tel'],
        'email'    => $r['email'],
        'contpers' => $r['contpers'],
        'openbal'  => $r['openbal'],
        'action'   => "$file?mode=edit&$keyfld=$r[$keyfld]",
    ];
    $ctr++;
}
header("Content-type: application\json");
echo json_encode($rows);